aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2017-06-14 00:06:40 +0200
committerDuncaen <mail@duncano.de>2017-06-14 00:06:40 +0200
commit8cd44e074a6ba56f576e32608624de7638f3c071 (patch)
treee743cf5a1ac588a80a77dbbd5a40f85055c54b7e /install.sh
parent3bdd9099b17f7fd9117c6624a2d1e0c14553adae (diff)
downloaddotfiles-8cd44e074a6ba56f576e32608624de7638f3c071.tar.gz
install.sh: only install necessary configs
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/install.sh b/install.sh
index 82289c0..3d0f821 100755
--- a/install.sh
+++ b/install.sh
@@ -13,6 +13,7 @@ _mkdir() {
}
_vim() {
+ [ -n "$(command -v vim 2>/dev/null)" ] || return
msg "INSTALL" "vim config"
_ln_home "vimrc" ".vimrc"
_ln_home "vim" ".vim"
@@ -20,21 +21,25 @@ _vim() {
# vim +PlugInstall +qall
}
_xorg() {
+ [ -n "$(command -v Xorg 2>/dev/null)" ] || return
msg "INSTALL" "xorg config"
_ln_home "xinitrc" ".xinitrc"
_ln_home "Xresources" ".Xresources"
_ln_home "us-intl-german.xmodmap" ".us-intl-german.xmodmap"
}
_fonts() {
+ [ -n "$(command -v Xorg 2>/dev/null)" ] || return
msg "INSTALL" "fontconfig config"
_mkdir ".config/fontconfig"
_ln_home "fonts.conf" ".config/fontconfig/fonts.conf"
}
_mksh() {
+ [ -n "$(command -v mksh 2>/dev/null)" ] || return
msg "INSTALL" "mksh config"
_ln_home "mkshrc" ".mkshrc"
}
_yash() {
+ [ -n "$(command -v yash 2>/dev/null)" ] || return
msg "INSTALL" "yash config"
_ln_home "yashrc" ".yashrc"
}
@@ -45,15 +50,18 @@ _shell() {
_ln_home "aliases" ".aliases"
}
_git() {
+ [ -n "$(command -v git 2>/dev/null)" ] || return
msg "INSTALL" "git config"
_ln_home "gitconfig" ".gitconfig"
_ln_home "gitignore_global" ".gitignore_global"
}
_void() {
+ [ -n "$(command -v xbps-install 2>/dev/null)" ] || return
msg "INSTALL" "void config"
_ln_home "xbps-src.conf" ".xbps-src.conf"
}
_ssh() {
+ [ -n "$(command -v ssh 2>/dev/null)" ] || return
msg "INSTALL" "ssh config"
mkdir -p "$HOME/.ssh"
_ln_home "ssh/config" ".ssh/config"
@@ -62,13 +70,15 @@ _bin() {
msg "INSTALL" "user bin directory"
_ln_home "bin"
}
-_sv() {
- msg "INSTALL" "user services"
+_runit() {
+ [ -n "$(command -v runsvdir 2>/dev/null)" ] || return
+ msg "INSTALL" "runit user services"
_ln_home "sv"
_ln_home "service"
_ln_home "service.x"
}
_gtk() {
+ [ -n "$(command -v Xorg 2>/dev/null)" ] || return
msg "INSTALL" "gtk config"
_ln_home "gtkrc-2.0" ".gtkrc-2.0"
_ln_home "gtk-3.0" ".config/gtk-3.0"
@@ -81,7 +91,7 @@ _mksh
_yash
_shell
_bin
-_sv
+_runit
_git
_xorg
_fonts